Package org.eclipse.m2m.atl.engine.vm.nativelib

# Class ASMMap

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.nativelib.ASMMap

public class ASMMap extends ASMOclAny
A non-OCL type. Proves useful in some transformations to establish mappings.

## Field Summary

Fields
Modifier and Type
Field
Description
`static ASMOclType`
`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`ASMMap()`
`ASMMap(Map init)`

## Method Summary

Modifier and Type
Method
Description
`static ASMBoolean`
`containsKey(StackFrame frame, ASMMap self, ASMOclAny o)`
`static ASMBoolean`
`containsValue(StackFrame frame, ASMMap self, ASMOclAny o)`
`boolean`
`equals(Object o)`
`ASMOclAny`
`get(ASMOclAny key)`
`static ASMOclAny`
`get(StackFrame frame, ASMMap self, ASMOclAny key)`
`Iterator`
`getKeys()`
`static ASMSet`
`getKeys(StackFrame frame, ASMMap self)`
`static ASMBag`
`getValues(StackFrame frame, ASMMap self)`
`int`
`hashCode()`
`static ASMMap`
`including(StackFrame frame, ASMMap self, ASMOclAny key, ASMOclAny value)`
`void`
`put(ASMOclAny key, ASMOclAny value)`
`String`
`toString()`
`static ASMMap`
`union(StackFrame frame, ASMMap self, ASMMap other)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### myType

public static ASMOclType myType

## Constructor Details

### ASMMap

public ASMMap()

### ASMMap

public ASMMap(Map init)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### put

public void put(ASMOclAny key, ASMOclAny value)

### get

public ASMOclAny get(ASMOclAny key)

### getKeys

public Iterator getKeys()

### get

public static ASMOclAny get(StackFrame frame, ASMMap self, ASMOclAny key)

### including

public static ASMMap including(StackFrame frame, ASMMap self, ASMOclAny key, ASMOclAny value)

### containsKey

public static ASMBoolean containsKey(StackFrame frame, ASMMap self, ASMOclAny o)

### containsValue

public static ASMBoolean containsValue(StackFrame frame, ASMMap self, ASMOclAny o)

### union

public static ASMMap union(StackFrame frame, ASMMap self, ASMMap other)

### getKeys

public static ASMSet getKeys(StackFrame frame, ASMMap self)

### getValues

public static ASMBag getValues(StackFrame frame, ASMMap self)